[arch-commits] Commit in ivtv-utils/repos (3 files)

Giovanni Scafora giovanni at archlinux.org
Wed Dec 17 01:14:32 UTC 2008


    Date: Tuesday, December 16, 2008 @ 20:14:32
  Author: giovanni
Revision: 21883

Merged revisions 356,21880-21881 via svnmerge from 
svn+ssh://archlinux.org/srv/svn-packages/ivtv-utils/trunk

........
  r356 | aaron | 2008-04-18 15:56:27 -0700 (ven, 18 apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r21880 | giovanni | 2008-12-16 17:03:01 -0800 (mar, 16 dic 2008) | 2 lines
  
  upgpkg: ivtv-utils 1.3.0-1
      New version 1.3.0
........
  r21881 | giovanni | 2008-12-16 17:04:46 -0800 (mar, 16 dic 2008) | 1 line
  
  Patch for 2.6.27
........

Added:
  ivtv-utils/repos/extra-i686/ivtv-utils-2.6.27.patch
    (from rev 21881, ivtv-utils/trunk/ivtv-utils-2.6.27.patch)
Modified:
  ivtv-utils/repos/extra-i686/	(properties)
  ivtv-utils/repos/extra-i686/PKGBUILD

-------------------------+
 PKGBUILD                |   53 ++++++----------
 ivtv-utils-2.6.27.patch |  151 ++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 172 insertions(+), 32 deletions(-)


Property changes on: ivtv-utils/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /ivtv-utils/trunk:1
   + /ivtv-utils/trunk:1-21882

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-12-17 01:06:19 UTC (rev 21882)
+++ extra-i686/PKGBUILD	2008-12-17 01:14:32 UTC (rev 21883)
@@ -1,43 +1,32 @@
 # $Id$
-# Contributor: Sasha Zbrozek <kleptophobiac at gmail.com>
-# Maintainer: Paul Mattal <paul at archlinux.org>
+# Maintainer: Giovanni Scafora <giovanni at archlinux.org>
+# Contributor: Andrea Scarpino <bash.lnx at gmail.com>
 
 pkgname=ivtv-utils
-pkgver=1.0.3
+pkgver=1.3.0
 pkgrel=1
-_kernver=2.6.23-ARCH
-pkgdesc="Non-mainline kernel drivers and userspace utilities for Hauppauge PVR cards"
-arch=(i686 x86_64)
+pkgdesc="Userspace utilities for Hauppauge PVR cards"
+arch=('i686' 'x86_64')
 license=('GPL')
 url="http://ivtvdriver.org"
-source=("http://dl.ivtvdriver.org/ivtv/archive/1.0.x/ivtv-$pkgver.tar.gz" \
-	'http://dl.ivtvdriver.org/ivtv/firmware/firmware.tar.gz' )
+source=(http://dl.ivtvdriver.org/ivtv/stable/$pkgname-$pkgver.tar.gz
+        http://dl.ivtvdriver.org/ivtv/firmware/ivtv-firmware.tar.gz
+        ivtv-utils-2.6.27.patch)
 depends=('gcc-libs')
-md5sums=('2c0e04a861cb7409ea82a2935b1e0050' '9e06ccf5afec2a90aab14e8ec905a458')
-
+md5sums=('4781298cac4a3d8cfd5a8338895d102b'
+         'b9a871f1c569025be9c48a77b3515faf'
+         'af96eb672441e08816fab0d8eb25992e')
+ 
 build() {
-  # SET UP
-  cd $startdir/src/ivtv-$pkgver || return 1
-
-  # don't call depmod here
-  sed -i 's|/sbin/depmod -a||' driver/Makefile i2c-drivers/Makefile || return 1
-
-  # install the utils in /usr/bin, not /usr/local/bin
-  sed -i "s%PREFIX = /usr/local%PREFIX = /usr%g" utils/Makefile || return 1
-
-  # build
-  make INSTALLDIR=/usr/bin || return 1
-
-  # install
-  make DESTDIR=$startdir/pkg install || return 1
-
-  # remove the kernel modules in the utils package
-  rm -rf $startdir/pkg/lib/modules || return 1
-
-  # install the firmware
+  cd "$srcdir/$pkgname-$pkgver"
+ 
+  patch -Np1 -i ../ivtv-utils-2.6.27.patch
+ 
+  make || return 1
+  make DESTDIR="$pkgdir" install || return 1
+ 
   cd $startdir/src || return 1
-  for file in  v4l-cx2341x-dec.fw v4l-cx2341x-enc.fw v4l-cx2341x-init.mpg v4l-cx25840.fw v4l-pvrusb2-24xxx-01.fw v4l-pvrusb2-29xxx-01.fw
-  do
-	  install -D -m 0644 $file $startdir/pkg/lib/firmware/$file || return 1
+  for file in `ls *.fw` v4l-cx2341x-init.mpg; do
+    install -D -m644 $file "$pkgdir/lib/firmware/$file" || return 1
   done
 }

Copied: ivtv-utils/repos/extra-i686/ivtv-utils-2.6.27.patch (from rev 21881, ivtv-utils/trunk/ivtv-utils-2.6.27.patch)
===================================================================
--- extra-i686/ivtv-utils-2.6.27.patch	                        (rev 0)
+++ extra-i686/ivtv-utils-2.6.27.patch	2008-12-17 01:14:32 UTC (rev 21883)
@@ -0,0 +1,151 @@
+diff -Naur ivtv-utils-1.3.0-orig/test/Makefile ivtv-utils-1.3.0/test/Makefile
+--- ivtv-utils-1.3.0-orig/test/Makefile	2008-12-17 01:08:23.000000000 +0100
++++ ivtv-utils-1.3.0/test/Makefile	2008-12-17 01:08:51.000000000 +0100
+@@ -1,5 +1,4 @@
+ INSTALLDIR = /usr/local/bin
+-HEADERDIR = /usr/include/linux
+ 
+ EXES = vbi wss vbi-passthrough vbi-detect ivtv-pcm-tester \
+ 	mpeg-read-test mpeg-freq-test mpeg-read-sleep-test \
+diff -Naur ivtv-utils-1.3.0-orig/utils/Makefile ivtv-utils-1.3.0/utils/Makefile
+--- ivtv-utils-1.3.0-orig/utils/Makefile	2008-12-17 01:08:23.000000000 +0100
++++ ivtv-utils-1.3.0/utils/Makefile	2008-12-17 01:09:21.000000000 +0100
+@@ -1,6 +1,5 @@
+-PREFIX = /usr/local
++PREFIX = /usr
+ BINDIR = $(PREFIX)/bin
+-HDRDIR = /usr/include/linux
+ 
+ X86  := $(shell if echo - | $(CC) -E -dM - | egrep -e '__i386__|__x86_64__' >/dev/null; \
+ 	then echo y; else echo n; fi)
+@@ -13,9 +12,6 @@
+ 
+ BIN := $(EXES) ivtv-tune/ivtv-tune cx25840ctl/cx25840ctl
+ 
+-
+-HEADERS := linux/ivtv.h linux/ivtvfb.h
+-
+ CFLAGS = -D_GNU_SOURCE -O2 -Wall -g -I.
+ CXXFLAGS = $(CFLAGS)
+ 
+@@ -42,8 +38,6 @@
+ 	$(CC) -lpthread -o $@ $^
+ 
+ install: all
+-	install -d $(DESTDIR)/$(HDRDIR)
+-	install -m 0644 $(HEADERS) $(DESTDIR)/$(HDRDIR)
+ 	install -d $(DESTDIR)/$(BINDIR)
+ 	install -m 0755 $(BIN) $(DESTDIR)/$(BINDIR)
+ 
+diff -Naur ivtv-utils-1.3.0-orig/utils/linux/ivtv.h ivtv-utils-1.3.0/utils/linux/ivtv.h
+--- ivtv-utils-1.3.0-orig/utils/linux/ivtv.h	2008-12-17 01:08:23.000000000 +0100
++++ ivtv-utils-1.3.0/utils/linux/ivtv.h	1970-01-01 01:00:00.000000000 +0100
+@@ -1,67 +0,0 @@
+-/*
+-    Public ivtv API header
+-    Copyright (C) 2003-2004  Kevin Thayer <nufan_wfk at yahoo.com>
+-    Copyright (C) 2004-2007  Hans Verkuil <hverkuil at xs4all.nl>
+-
+-    This program is free software; you can redistribute it and/or modify
+-    it under the terms of the GNU General Public License as published by
+-    the Free Software Foundation; either version 2 of the License, or
+-    (at your option) any later version.
+-
+-    This program is distributed in the hope that it will be useful,
+-    but WITHOUT ANY WARRANTY; without even the implied warranty of
+-    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+-    GNU General Public License for more details.
+-
+-    You should have received a copy of the GNU General Public License
+-    along with this program; if not, write to the Free Software
+-    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+- */
+-
+-#ifndef _LINUX_IVTV_H
+-#define _LINUX_IVTV_H
+-
+-#include <linux/types.h>
+-
+-/* ivtv knows several distinct output modes: MPEG streaming,
+-   YUV streaming, YUV updates through user DMA and the passthrough
+-   mode.
+-
+-   In order to clearly tell the driver that we are in user DMA
+-   YUV mode you need to call IVTV_IOC_DMA_FRAME with y_source == NULL
+-   first (althrough if you don't then the first time
+-   DMA_FRAME is called the mode switch is done automatically).
+-
+-   When you close the file handle the user DMA mode is exited again.
+-
+-   While in one mode, you cannot use another mode (EBUSY is returned).
+-
+-   All this means that if you want to change the YUV interlacing
+-   for the user DMA YUV mode you first need to do call IVTV_IOC_DMA_FRAME
+-   with y_source == NULL before you can set the correct format using
+-   VIDIOC_S_FMT.
+-
+-   Eventually all this should be replaced with a proper V4L2 API,
+-   but for now we have to do it this way. */
+-
+-struct ivtv_dma_frame {
+-	enum v4l2_buf_type type; /* V4L2_BUF_TYPE_VIDEO_OUTPUT */
+-	__u32 pixelformat;	 /* 0 == same as destination */
+-	void *y_source;   /* if NULL and type == V4L2_BUF_TYPE_VIDEO_OUTPUT,
+-				    then just switch to user DMA YUV output mode */
+-	void *uv_source;  /* Unused for RGB pixelformats */
+-	struct v4l2_rect src;
+-	struct v4l2_rect dst;
+-	__u32 src_width;
+-	__u32 src_height;
+-};
+-
+-#define IVTV_IOC_DMA_FRAME  _IOW ('V', BASE_VIDIOC_PRIVATE+0, struct ivtv_dma_frame)
+-
+-/* These are the VBI types as they appear in the embedded VBI private packets. */
+-#define IVTV_SLICED_TYPE_TELETEXT_B     (1)
+-#define IVTV_SLICED_TYPE_CAPTION_525    (4)
+-#define IVTV_SLICED_TYPE_WSS_625        (5)
+-#define IVTV_SLICED_TYPE_VPS            (7)
+-
+-#endif /* _LINUX_IVTV_H */
+diff -Naur ivtv-utils-1.3.0-orig/utils/linux/ivtvfb.h ivtv-utils-1.3.0/utils/linux/ivtvfb.h
+--- ivtv-utils-1.3.0-orig/utils/linux/ivtvfb.h	2008-12-17 01:08:23.000000000 +0100
++++ ivtv-utils-1.3.0/utils/linux/ivtvfb.h	1970-01-01 01:00:00.000000000 +0100
+@@ -1,37 +0,0 @@
+-/*
+-    On Screen Display cx23415 Framebuffer driver
+-
+-    Copyright (C) 2006, 2007  Ian Armstrong <ian at iarmst.demon.co.uk>
+-
+-    This program is free software; you can redistribute it and/or modify
+-    it under the terms of the GNU General Public License as published by
+-    the Free Software Foundation; either version 2 of the License, or
+-    (at your option) any later version.
+-
+-    This program is distributed in the hope that it will be useful,
+-    but WITHOUT ANY WARRANTY; without even the implied warranty of
+-    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+-    GNU General Public License for more details.
+-
+-    You should have received a copy of the GNU General Public License
+-    along with this program; if not, write to the Free Software
+-    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+- */
+-
+-#ifndef __LINUX_IVTVFB_H__
+-#define __LINUX_IVTVFB_H__
+-
+-#include <linux/types.h>
+-
+-/* Framebuffer external API */
+-
+-struct ivtvfb_dma_frame {
+-	void __user *source;
+-	unsigned long dest_offset;
+-	int count;
+-};
+-
+-#define IVTVFB_IOC_DMA_FRAME 	_IOW('V', BASE_VIDIOC_PRIVATE+0, struct ivtvfb_dma_frame)
+-#define FBIO_WAITFORVSYNC	_IOW('F', 0x20, u_int32_t)
+-
+-#endif




More information about the arch-commits mailing list